Loading...
Searching...
No Matches
Opm::ParameterMapItem Struct Referenceabstract

The parameter handlig system is structured as a tree, where each node inhertis from ParameterMapItem. More...

`#include <ParameterMapItem.hpp>`

Inheritance diagram for Opm::ParameterMapItem:

## Public Member Functions

| ParameterMapItem ()
| Default constructor.
virtual | ~ParameterMapItem ()
| Destructor.
virtual std::string | getTag () const =0
| This function returns a string describing the ParameterMapItem.
void | setUsed () const
bool | used () const

## Detailed Description

The parameter handlig system is structured as a tree, where each node inhertis from ParameterMapItem.

The abstract virtual function getTag() is used to determine which derived class the node actually is.

## Member Function Documentation

## getTag()

virtual std::string Opm::ParameterMapItem::getTag | ( |  | ) | const

pure virtual

This function returns a string describing the ParameterMapItem.

Implemented in Opm::Parameter.

The documentation for this struct was generated from the following file:

- opm/common/utility/parameters/ParameterMapItem.hpp